{{ define "header"}}
    <div class="home-header">
        EMERALD
    </div>
{{end}}

{{ define "content"}}
    <div class="home">
        <div class="action-header">
            <div class="name">Servers</div>
        </div>

        {{ range .Servers }}
            <div onclick="window.location.href = 'servers/{{.Id}}'" class="server card card-1">
                <div class="server-title">
                    <div class="name">{{.Name}}</div>
                    {{ range .Channels }}
                        <div class="channel">{{.Name}}</div>
                    {{end}}
                </div>

                {{if eq .Connected true}}
                    <form id="server-disconnect-{{.Id}}" action="servers/{{.Id}}/disconnect" method="post" hidden></form>
                    <button class="connection-toggle icon big" type="submit" form="server-disconnect-{{.Id}}" onclick="event.stopPropagation();">
                        <svg>
                            <use xlink:href="assets/img/solid.svg#toggle-on"></use>
                        </svg>
                    </button>
                {{else}}
                    <form id="server-connect-{{.Id}}" action="servers/{{.Id}}/connect" method="post" hidden></form>
                    <button class="connection-toggle icon big" type="submit" form="server-connect-{{.Id}}" onclick="event.stopPropagation();">
                        <svg>
                            <use xlink:href="assets/img/solid.svg#toggle-off"></use>
                        </svg>
                    </button>
                {{end}}

            </div>
        {{end}}

        <a href="servers" class="flab">
            <svg>
                <use xlink:href="assets/img/solid.svg#plus"></use>
            </svg>
        </a>
    </div>
{{end}}